"use strict";
var os = require("os");
var uuid_1 = require("uuid");
var command_1 = require("./command");
exports.getStatus = new command_1.GlobalCommand('GET', '/status', function (sessions, params) {
    return {
        build: { version: require('../../package.json').version },
        os: { arch: os.arch(), name: os.type(), version: os.release() }
    };
});
exports.newSession = new command_1.GlobalCommand('POST', '/session', function (sessions, params) {
    params['sessionId'] = uuid_1.v4(); // This is a hack so we return the sessionId
    sessions.push({ id: params['sessionId'], capabilities: params['desiredCapabilities'] });
    return params['desiredCapabilities'];
});
exports.getSessions = new command_1.GlobalCommand('GET', '/sessions', function (sessions, params) {
    return sessions;
});
exports.getSession = new command_1.Command('GET', '', function (session, params) {
    return session.capabilities;
});
exports.deleteSession = new command_1.GlobalCommand('DELETE', '/session/:sessionId', function (sessions, params) {
    for (var i = sessions.length - 1; i >= 0; i--) {
        if (sessions[i].id == params['sessionId']) {
            sessions.splice(i, 1);
            return;
        }
    }
    throw { status: 6, value: 'No such session "' + params['sessionId'] + '"' };
});
//# sourceMappingURL=default-commands.js.map